ARG BASE_IMAGE_TAG=act-22.04

FROM ghcr.io/catthehacker/ubuntu:${BASE_IMAGE_TAG}

ARG IMAGE_CREATED
ARG IMAGE_VERSION
ARG IMAGE_REVISION

LABEL org.opencontainers.image.created="${IMAGE_CREATED}" \
    org.opencontainers.image.authors="MouseSoft" \
    org.opencontainers.image.url="https://git.mousesoft.ru/ms/gitea-runner-images" \
    org.opencontainers.image.documentation="https://git.mousesoft.ru/ms/gitea-runner-images/src/branch/main/README.md" \
    org.opencontainers.image.source="https://git.mousesoft.ru/ms/gitea-runner-images" \
    org.opencontainers.image.version="${IMAGE_VERSION}" \
    org.opencontainers.image.revision="${IMAGE_REVISION}" \
    org.opencontainers.image.vendor="MouseSoft" \
    org.opencontainers.image.licenses="MIT" \
    org.opencontainers.image.title="MouseSoft Gitea Actions runner images" \
    org.opencontainers.image.description="MouseSoft docker images used by act_runner to run workflows."

ENV LANG=ru_RU.UTF-8

COPY dist/drawio-amd64-24.1.0.deb /tmp/drawio.deb
COPY dist/mousesoft-debian.key /tmp/

RUN apt-get update && \
    apt-get install -y gnupg2 && \
    apt-key add /tmp/mousesoft-debian.key && \
    rm -rf /var/lib/apt/lists/*

COPY etc /etc

RUN apt-get update && \
    apt-get install -y asciidoctor curl graphviz libgbm1 libgtk-3-0 libnotify4 \
    libsecret-1-0 libxss1 locales make plantuml rubygems xdg-utils xvfb xz-utils && \
    gem install asciidoctor-diagram && \
    gem install asciidoctor-pdf && \
    gem install rouge && \
    dpkg -i /tmp/drawio.deb && rm -f /tmp/drawio.deb && \
    locale-gen --lang ru && \
    rm -rf /var/lib/apt/lists/*
